﻿@keyframes pulse {
    50% {
        opacity: .5
    }
}

@keyframes fadeInUp {
    from {
        opacity: 0;
        transform: translateY(20px);
    }

    to {
        opacity: 1;
        transform: translateY(0);
    }
}

.animate-fadeInUp {
    animation: fadeInUp 0.8s ease-out forwards;
}

.delay-150 {
    animation-delay: 0.15s;
}

.delay-300 {
    animation-delay: 0.3s;
}


@keyframes progress-line {
    0% {
        transform: translateX(-100%);
    }

    50% {
        transform: translateX(0);
    }

    100% {
        transform: translateX(100%);
    }
}

.animate-progress-line {
    animation: progress-line 2s cubic-bezier(0.65, 0, 0.35, 1) infinite;
}

/* Smooth Fade Out Transition */
#preloader {
    transition: opacity 0.8s cubic-bezier(0.4, 0, 0.2, 1);
}
